clear
drop _all

use "C:\Users\MarcF\Desktop\Urban Agriculture\urbanagriculture.dta"

rename pond weight

drop b1-b11

rename q1 urban_ag
replace urban_ag = 0 if urban_ag==2

drop q2_m2 q2_m3
rename q2_m1 q2

gen grow_balcony = 1 if q2==1
replace grow_balcony = 0 if q2~=1
gen grow_backyard = 1 if q2==2
replace grow_backyard = 0 if q2~=2
gen grow_front_side = 1 if q2==3
replace grow_front_side = 0 if q2~=3
gen grow_roof = 1 if q2==4
replace grow_roof = 0 if q2~=4
gen grow_community_garden = 1 if q2==5
replace grow_community_garden = 0 if q2~=5
gen grow_school_work = 1 if q2==6
replace grow_school_work = 0 if q2~=6
gen grow_other = 1 if q2==97
replace grow_other = 0 if q2~=97
drop q2

gen since_1 = 1 if q3==1
replace since_1 = 0 if q3~=1
gen since_1_4 = 1 if q3==2
replace since_1_4 = 0 if q3~=2
gen since_5_9 = 1 if q3==3
replace since_5_9 = 0 if q3~=3
gen since_10 = 1 if q3==4
replace since_10 = 0 if q3~=4
drop q3

gen prop_10 = 1 if q4==1
replace prop_10 = 0 if q4~=1
gen prop_10_25 = 1 if q4==2
replace prop_10_25 = 0 if q4~=2
gen prop_26_50 = 1 if q4==3
replace prop_26_50 = 0 if q4~=3
gen prop_50 = 1 if q4==4
replace prop_50 = 0 if q4~=4
gen prop_dk = 1 if q4==9
replace prop_dk = 0 if q4~=9
drop q4

replace q5 = 0 if q5==2
gen compost = 1 if q5==1
replace compost = 0 if q5==0
drop q5

replace q6 = 0 if q6==2
gen pesticides = 1 if q6==1
replace pesticides = 0 if q6==0
drop q6

replace q7 = 0 if q7==2
gen weak_pesticides = 1 if q7==1
replace weak_pesticides = 0 if q7==0
drop q7

replace q8 = 0 if q8==2
gen rain_water = 1 if q8==1
replace rain_water = 0 if q8==0
drop q8

gen varieties_5 = 1 if q9==1
replace varieties_5 = 0 if q9~=1
gen varieties_5_9 = 1 if q9==2
replace varieties_5_9 = 0 if q9~=2
gen varieties_10_14 = 1 if q9==3
replace varieties_10_14 = 0 if q9~=3
gen varieties_15 = 1 if q9==4
replace varieties_15 = 0 if q9~=4
drop q9

replace q10 = 0 if q10==2
gen share = 1 if q10==1
replace share = 0 if q10==0
drop q10

replace q11 = 0 if q11==2
gen exchange = 1 if q11==1
replace exchange = 0 if q11==0
drop q11

replace q12 = 0 if q12==2
gen social_relations = 1 if q12==1
replace share = 0 if q12==0
drop q12

replace q13 = 0 if q13==2
gen city_support = 1 if q13==1
replace city_support = 0 if q13==0
drop q13

drop q14_m2 q14_m3
rename q14_m1 q14
gen reason_no_time = 1 if q14==1 & urban_ag==0
replace reason_no_time = 0 if q14~=1 & urban_ag==0
gen reason_no_interest = 1 if q14==3 & urban_ag==0
replace reason_no_interest = 0 if q14~=3 & urban_ag==0
gen reason_no_space = 1 if q14==4 & urban_ag==0
replace reason_no_space = 0 if q14~=4 & urban_ag==0
gen reason_renter = 1 if q14==6 & urban_ag==0
replace reason_renter = 0 if q14~=6 & urban_ag==0
gen reason_other = 1 if q14~=1 & q14~=3 & q14~=4 & q14~=5 & urban_ag==0
replace reason_other = 0 if q14==1 | q14==3 | q14==4 | q14==5 & urban_ag==0
drop q14

gen age_18_34 = 1 if q15==1
replace age_18_34 = 0 if q15~=1
gen age_35_49 = 1 if q15==2
replace age_35_49 = 0 if q15~=2
gen age_50_64 = 1 if q15==3
replace age_50_64 = 0 if q15~=3
gen age_65 = 1 if q15==4
replace age_65 = 0 if q15~=4
drop q15

gen occ_full_time = 1 if q16==1
replace occ_full_time = 0 if q16~=1
gen occ_part_time = 1 if q16==2
replace occ_part_time = 0 if q16~=2
gen occ_student = 1 if q16==3
replace occ_student = 0 if q16~=3
gen occ_retired = 1 if q16==4
replace occ_retired = 0 if q16~=4
gen occ_jobless = 1 if q16==5
replace occ_jobless = 0 if q16~=5
gen occ_at_home = 1 if q16==6
replace occ_at_home = 0 if q16~=6
gen occ_dk = 1 if q16==9
replace occ_dk = 0 if q16~=9
drop q16

gen edu_primary = 1 if q17==1
replace edu_primary = 0 if q17~=1
gen edu_secondary = 1 if q17==2
replace edu_secondary = 0 if q17~=2
gen edu_collegial = 1 if q17==3
replace edu_collegial = 0 if q17~=3
gen edu_university = 1 if q17==4
replace edu_university = 0 if q17~=4
gen edu_dk = 1 if q17==9
replace edu_dk = 0 if q17~=9
drop q17

gen born_montreal = 1 if q18==1
replace born_montreal = 0 if q18~=1
gen born_quebec = 1 if q18==2
replace born_quebec = 0 if q18~=2
gen born_canada = 1 if q18==3
replace born_canada = 0 if q18~=3
gen born_foreign = 1 if q18==4
replace born_foreign = 0 if q18~=4
gen born_dk = 1 if q18==9
replace born_dk = 0 if q18~=9
drop q18

gen resident_1 = 1 if q19==1
replace resident_1 = 0 if q19~=1
gen resident_1_5 = 1 if q19==2
replace resident_1_5 = 0 if q19~=2
gen resident_6_10 = 1 if q19==3
replace resident_6_10 = 0 if q19~=3
gen resident_10 = 1 if q19==4
replace resident_10 = 0 if q19~=4
gen resident_dk = 1 if q19==9
replace resident_dk = 0 if q19~=9
drop q19


replace q20=. if q20==99
gen hhsize = q20
drop q20

replace q20a=. if q20a==99
gen kids = q20a
drop q20a

replace q21 = 0 if q21==2
gen owner = 1 if q21==1
replace owner=0 if q21~=1
gen owner_dk = 1 if q21==9
replace owner_dk = 0 if q21~=9
drop q21

gen income_20 = 1 if q22==1
replace income_20 = 0 if q22~=1
gen income_20_35 = 1 if q22==2
replace income_20_35 = 0 if q22~=2
gen income_35_50 = 1 if q22==3
replace income_35_50 = 0 if q22~=3
gen income_50_65 = 1 if q22==4
replace income_50_65 = 0 if q22~=4
gen income_65_80 = 1 if q22==5
replace income_65_80 = 0 if q22~=5
gen income_80 = 1 if q22==6
replace income_80 = 0 if q22~=6
drop q22

gen male = 1 if q23==1
replace male = 0 if q23==2
drop q23

gen english = 1 if q24==2
replace english = 0 if q24==1
drop q24

gen east = 1 if q25==1
replace east = 0 if q25~=1
gen center = 1 if q25==2
replace center = 0 if q25~=2
gen west = 1 if q25==3
replace west = 0 if q25~=3
drop q25

log using "C:\Users\MarcF\Desktop\Urban Agriculture\urbanagriculture.smcl", replace

* Who Participates in Urban Agriculture? *

outreg2 using t2_urban_ag, se label bdec(3) bfmt(fc) sdec(3) sfmt(fc) excel: reg urban_ag age_35_49 age_50_64 age_65 occ_part_time occ_student occ_retired occ_jobless occ_at_home occ_dk edu_secondary edu_collegial edu_university edu_dk born_quebec born_canada born_foreign born_dk resident_1_5 resident_6_10 resident_10 resident_dk hhsize owner owner_dk income_20_35 income_35_50 income_50_65 income_65_80 income_80 male english east west [pweight=weight], cluster(arron)

* Where Do People who Participate in Urban Agriculture Grow Stuff? *

outreg2 using t3_urban_ag, se label bdec(3) bfmt(fc) sdec(3) sfmt(fc) excel: reg grow_balcony age_35_49 age_50_64 age_65 occ_part_time occ_student occ_retired occ_jobless occ_at_home occ_dk edu_secondary edu_collegial edu_university edu_dk born_quebec born_canada born_foreign born_dk resident_1_5 resident_6_10 resident_10 resident_dk hhsize owner owner_dk income_20_35 income_35_50 income_50_65 income_65_80 income_80 male english east west if urban_ag==1 [pweight=weight], cluster(arron)
outreg2 using t3_urban_ag, se label bdec(3) bfmt(fc) sdec(3) sfmt(fc) excel: reg grow_backyard age_35_49 age_50_64 age_65 occ_part_time occ_student occ_retired occ_jobless occ_at_home occ_dk edu_secondary edu_collegial edu_university edu_dk born_quebec born_canada born_foreign born_dk resident_1_5 resident_6_10 resident_10 resident_dk hhsize owner owner_dk income_20_35 income_35_50 income_50_65 income_65_80 income_80 male english east west if urban_ag==1 [pweight=weight], cluster(arron)

* What Determines Specific Behaviors among Participants? *

outreg2 using t4_urban_ag, se label bdec(3) bfmt(fc) sdec(3) sfmt(fc) excel: reg compost age_35_49 age_50_64 age_65 occ_part_time occ_student occ_retired occ_jobless occ_at_home occ_dk edu_secondary edu_collegial edu_university edu_dk born_quebec born_canada born_foreign born_dk resident_1_5 resident_6_10 resident_10 resident_dk hhsize owner owner_dk income_20_35 income_35_50 income_50_65 income_65_80 income_80 male english east west if urban_ag==1 [pweight=weight], cluster(arron)
outreg2 using t4_urban_ag, se label bdec(3) bfmt(fc) sdec(3) sfmt(fc) excel: reg rain_water age_35_49 age_50_64 age_65 occ_part_time occ_student occ_retired occ_jobless occ_at_home occ_dk edu_secondary edu_collegial edu_university edu_dk born_quebec born_canada born_foreign born_dk resident_1_5 resident_6_10 resident_10 resident_dk hhsize owner owner_dk income_20_35 income_35_50 income_50_65 income_65_80 income_80 male english east west if urban_ag==1 [pweight=weight], cluster(arron)

* Who Don't People Participate in Urban Agriculture? *

outreg2 using t5_urban_ag, se label bdec(3) bfmt(fc) sdec(3) sfmt(fc) excel: reg reason_no_time age_35_49 age_50_64 age_65 occ_part_time occ_student occ_retired occ_jobless occ_at_home occ_dk edu_secondary edu_collegial edu_university edu_dk born_quebec born_canada born_foreign born_dk resident_1_5 resident_6_10 resident_10 resident_dk hhsize owner owner_dk income_20_35 income_35_50 income_50_65 income_65_80 income_80 male english east west if urban_ag==0 [pweight=weight], cluster(arron)
outreg2 using t5_urban_ag, se label bdec(3) bfmt(fc) sdec(3) sfmt(fc) excel: reg reason_no_interest age_35_49 age_50_64 age_65 occ_part_time occ_student occ_retired occ_jobless occ_at_home occ_dk edu_secondary edu_collegial edu_university edu_dk born_quebec born_canada born_foreign born_dk resident_1_5 resident_6_10 resident_10 resident_dk hhsize owner owner_dk income_20_35 income_35_50 income_50_65 income_65_80 income_80 male english east west if urban_ag==0 [pweight=weight], cluster(arron)
outreg2 using t5_urban_ag, se label bdec(3) bfmt(fc) sdec(3) sfmt(fc) excel: reg reason_no_space age_35_49 age_50_64 age_65 occ_part_time occ_student occ_retired occ_jobless occ_at_home occ_dk edu_secondary edu_collegial edu_university edu_dk born_quebec born_canada born_foreign born_dk resident_1_5 resident_6_10 resident_10 resident_dk hhsize owner owner_dk income_20_35 income_35_50 income_50_65 income_65_80 income_80 male english east west if urban_ag==0 [pweight=weight], cluster(arron)
outreg2 using t5_urban_ag, se label bdec(3) bfmt(fc) sdec(3) sfmt(fc) excel: reg reason_renter age_35_49 age_50_64 age_65 occ_part_time occ_student occ_retired occ_jobless occ_at_home occ_dk edu_secondary edu_collegial edu_university edu_dk born_quebec born_canada born_foreign born_dk resident_1_5 resident_6_10 resident_10 resident_dk hhsize owner owner_dk income_20_35 income_35_50 income_50_65 income_65_80 income_80 male english east west if urban_ag==0 [pweight=weight], cluster(arron)

* Descriptive Statistics and Balance Tests *

outreg2 using t1_urban_ag, se label bdec(3) bfmt(fc) sdec(3) sfmt(fc) excel: mean urban_ag age_18_34 age_35_49 age_50_64 age_65 occ_full_time occ_part_time occ_student occ_retired occ_jobless occ_at_home edu_primary edu_secondary edu_collegial edu_university born_montreal born_quebec born_canada born_foreign resident_1 resident_1_5 resident_6_10 resident_10 hhsize owner income_20 income_20_35 income_35_50 income_50_65 income_65_80 income_80 male english east center west [pweight=weight]
outreg2 using t1_urban_ag, se label bdec(3) bfmt(fc) sdec(3) sfmt(fc) excel: mean age_18_34 age_35_49 age_50_64 age_65 occ_full_time occ_part_time occ_student occ_retired occ_jobless occ_at_home edu_primary edu_secondary edu_collegial edu_university born_montreal born_quebec born_canada born_foreign resident_1 resident_1_5 resident_6_10 resident_10 hhsize owner income_20 income_20_35 income_35_50 income_50_65 income_65_80 income_80 male english east center west if urban_ag==0 [pweight=weight]
outreg2 using t1_urban_ag, se label bdec(3) bfmt(fc) sdec(3) sfmt(fc) excel: mean age_18_34 age_35_49 age_50_64 age_65 occ_full_time occ_part_time occ_student occ_retired occ_jobless occ_at_home edu_primary edu_secondary edu_collegial edu_university born_montreal born_quebec born_canada born_foreign resident_1 resident_1_5 resident_6_10 resident_10 hhsize owner income_20 income_20_35 income_35_50 income_50_65 income_65_80 income_80 male english east center west if urban_ag==1 [pweight=weight]

ttest age_18_34, by(urban_ag) 
ttest age_35_49, by(urban_ag) 
ttest age_50_64 , by(urban_ag) 
ttest age_65 , by(urban_ag) 
ttest occ_full_time, by(urban_ag) 
ttest occ_part_time, by(urban_ag) 
ttest occ_student, by(urban_ag) 
ttest occ_retired, by(urban_ag) 
ttest occ_jobless, by(urban_ag) 
ttest occ_at_home, by(urban_ag) 
ttest edu_primary, by(urban_ag) 
ttest edu_secondary, by(urban_ag) 
ttest edu_collegial, by(urban_ag) 
ttest edu_university, by(urban_ag) 
ttest born_montreal, by(urban_ag) 
ttest born_quebec, by(urban_ag) 
ttest born_canada, by(urban_ag) 
ttest born_foreign, by(urban_ag) 
ttest resident_1, by(urban_ag) 
ttest resident_1_5, by(urban_ag) 
ttest resident_6_10, by(urban_ag) 
ttest resident_10, by(urban_ag)  
ttest hhsize, by(urban_ag) 
ttest owner, by(urban_ag) 
ttest income_20, by(urban_ag) 
ttest income_20_35, by(urban_ag) 
ttest income_35_50, by(urban_ag) 
ttest income_50_65, by(urban_ag) 
ttest income_65_80, by(urban_ag) 
ttest income_80, by(urban_ag) 
ttest male, by(urban_ag) 
ttest english, by(urban_ag) 
ttest east, by(urban_ag) 
ttest center, by(urban_ag) 
ttest west, by(urban_ag) 

log close


